Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Bogen messen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Bogen messen (1666 mal gelesen)
steamlanger
Mitglied
Tischlermeister

Sehen Sie sich das Profil von steamlanger an!   Senden Sie eine Private Message an steamlanger  Schreiben Sie einen Gästebucheintrag für steamlanger

Beiträge: 6
Registriert: 01.02.2004

erstellt am: 03. Feb. 2004 18:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo, ACAD-Freaks,

ich möchte mir in ACAD 2002 ein Werkzeug zum Bogen messen erstellen.
Wer kann mir helfen?
Vielen Dank im Voraus!!!
steam

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21533
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 03. Feb. 2004 18:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für steamlanger 10 Unities + Antwort hilfreich

Was willst du denn an dem Bogen "messen" ?

Zudem stehen alle Informationen im Eigenschafts-Fenster,
so ergibt sich die nächste Frage:

Nur messen ist langweilig, also: Was möchtest du mir dem "Maß" tun ?

(falls Bogenlänge bemaßen, nutze bitte die Suchfunktion)
- ansonsten: mehr Info´s ! -

------------------
- Sebastian -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

steamlanger
Mitglied
Tischlermeister

Sehen Sie sich das Profil von steamlanger an!   Senden Sie eine Private Message an steamlanger  Schreiben Sie einen Gästebucheintrag für steamlanger

Beiträge: 6
Registriert: 01.02.2004

erstellt am: 03. Feb. 2004 19:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,Sebastian,

vielen Dank für die Antwort. Ich habe messen und bemaßen gemeint.
Ich suche das passende makro für ein Bogenbemaßungswerkzeug.
steam

[Diese Nachricht wurde von steamlanger am 03. Feb. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21533
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 03. Feb. 2004 21:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für steamlanger 10 Unities + Antwort hilfreich

[ Spaß: Ich suche ein Kotflügel eines ´71er Auto´s der ehemalig eine Farbe hatte,
nun aber die andere dingens besitzt, möglichst spiegelverkehrt ! ]

______________________________________________________________________


[ Spaß beiseite:

Zitat:
Original erstellt von steamlanger:
Ich habe messen und bemaßen gemeint.
Ich suche das passende makro für ein Bogenbemaßungswerkzeug.

Tja, welches den nun ? - es gibt zig im Netz, alle werden verschiedene Parameter haben...

Du mußt wirklich sagen :
1. Was du hast !
2. Was du genau möchtest !

Ich bin mir nicht sicher ob du überhaupt ein Makro erstellen möchtest !
Hier mal ein Beispiel: ^C^CDERBEFEHL;\\

Das würde zB für einen Befehl gehen der:
1. Aufgerufen werden muß ("DerBefehl")
2. Der Befehl bestätigt werden muß (";")
3. Eine Benutzereingabe verlangt ("\")
4. Eine zweite Benutzereingaber   ("\")

( Anmerk.: Den Syntax von Button&Menü-Makros findet man in der AutoCAD-Hilfe und im Forum )

Zitat:
Original erstellt von cadffm:
(falls Bogenlänge bemaßen, nutze bitte die Suchfunktion)
- ansonsten: mehr Info´s ! -


------------------
- Sebastian -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Cadzer
Mitglied
Architekt; Dozent


Sehen Sie sich das Profil von Cadzer an!   Senden Sie eine Private Message an Cadzer  Schreiben Sie einen Gästebucheintrag für Cadzer

Beiträge: 41
Registriert: 31.01.2004

aca 2013/2019

erstellt am: 03. Feb. 2004 23:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für steamlanger 10 Unities + Antwort hilfreich

Ich versuche mal ein wenig zu orakeln. 

Die Frage von steamlanger bezieht sich wohl auf folgenden Thread:
http://ww3.cad.de/foren/ubb/Forum54/HTML/006239.shtml
er hätte seine Frage also besser dort angehängt.

Wenn meine Vermutung stimmt, so geht es ihm demzufolge um das Messen der Bogenlänge, um einen anderen Bogen mit gleicher Länge, aber unterschiedlichem Radius zu zeichnen.
Ob und wie man so etwas mit acad machen kann, weiß ich nicht; eine  rein zeichnerische Lösung wird aber wohl schwer möglich sein (kommt ja schon nah an die Quadratur des Kreises).

@steamlanger: Wenn ich Blödsinn hier erzähle und Du etwas ganz anderes wolltest, dann korrigiere mich bitte.

Gruß, Jan

P.S.: @cadffm: Den Kotflügel könnte ich Dir vielleicht besorgen, aber leider nur gedreht. Schau halt mal bei ebay 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gmk
Mitglied
Dipl.-Ing.(FH) Vermessung


Sehen Sie sich das Profil von gmk an!   Senden Sie eine Private Message an gmk  Schreiben Sie einen Gästebucheintrag für gmk

Beiträge: 667
Registriert: 23.10.2002

Autocad 2004, WS CadCompass, Normica V2000, WinXP Prof., AMD Athlon 64 X2, 2GB, NVIDIA GeForce 7600GS, HP1055CM

erstellt am: 03. Feb. 2004 23:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für steamlanger 10 Unities + Antwort hilfreich

..irgendwo runtergeladen ...

;REM Bogenbemasung
(defun c:BemBL(/ es en el len)
(setq es(entsel "Bitte Bogen wählen: "))
(if es (progn
  (setq en(car es)
        el(entget en)
  )
  (if (= "ARC" (cdr (assoc 0 el)))(progn
    (setq len(BogenLaenge el))
    (command "_dimangular"
              es
              "_text"
              (strcat "L=" (rtos len 2))
    )
  );else
    (alert "Funktioniert nur mit Bögen")
  )
))
(princ)
)

;REM Ermittlung der Bogenlänge Für BEMBL BemBLw
; Umfang Kreis = 2*R*pi
; Länge Bogen: Umfang/360 = Len/Eingeschl.Winkel
(defun BogenLaenge(el / sw ew w )
(setq sw (cdr (assoc 50 el))
      ew (cdr (assoc 51 el))
)

(if (> sw ew)
  (setq w (+ ew (- (* pi 2) sw))) ; sw von 360 Grad abziehen
;else
  (setq w (- ew sw))
  )
  (* (cdr(assoc 40 el)) w) ; Mit Radius multiplizieren
)

;REM Bogenbemassung mit zusätzlicher Winkelangabe
(defun c:BemBLwi(/ es en el len)
(setq es(entsel "Bitte Bogen wählen: "))
(if es (progn
  (setq en(car es)
        el(entget en)
  )
  (if (= "ARC" (cdr (assoc 0 el)))(progn
    (setq len(BogenLaenge el))
    (command "_dimangular"
              es
              "_text"
              (strcat "<> L=" (rtos len 2))
    )
  );else
    (alert "Funktioniert nur mit Bögen")
  )
))
(princ)
)

ciao georg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21533
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 04. Feb. 2004 10:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für steamlanger 10 Unities + Antwort hilfreich

Hier übrigens ein Makro welches ebenfalls einen Bogen bemaßt:
Link: Makro /LT-> ACAD2004

...und zwar dessen einschließenden Winkel...

------------------
- Sebastian -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz